Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 467674 - =dev-libs/ucommon-6.0.3 fails with automake-1.13 - error: 'AM_CONFIG_HEADER': this macro is obsolete
Summary: =dev-libs/ucommon-6.0.3 fails with automake-1.13 - error: 'AM_CONFIG_HEADER':...
Status: RESOLVED FIXED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: [OLD] Unspecified (show other bugs)
Hardware: All Linux
: Normal normal (vote)
Assignee: Andreis Vinogradovs ( slepnoga )
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: automake-1.13
  Show dependency tree
 
Reported: 2013-04-28 02:25 UTC by Ian Stakenvicius (RETIRED)
Modified: 2013-04-28 07:16 UTC (History)
2 users (show)

See Also:
Package list:
Runtime testing required: ---


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Ian Stakenvicius (RETIRED) gentoo-dev 2013-04-28 02:25:03 UTC
# cat /var/tmp/portage/dev-libs/ucommon-6.0.3/temp/aclocal.out
***** aclocal *****
***** PWD: /var/tmp/portage/dev-libs/ucommon-6.0.3/work/ucommon-6.0.3
***** aclocal -I m4

/usr/share/aclocal/zthread.m4:34: warning: underquoted definition of AM_PATH_ZTHREAD
/usr/share/aclocal/zthread.m4:34:   run info Automake 'Extending aclocal'
/usr/share/aclocal/zthread.m4:34:   or see http://www.gnu.org/software/automake/manual/automake.html#Extending-aclocal
configure.ac:26: error: 'AM_CONFIG_HEADER': this macro is obsolete.
    You should use the 'AC_CONFIG_HEADERS' macro instead.
/usr/share/aclocal-1.13/obsolete-err.m4:12: AM_CONFIG_HEADER is expanded from...
configure.ac:26: the top level
autom4te-2.69: /usr/bin/m4 failed with exit status: 1
aclocal-1.13: error: echo failed with exit status: 1

Please note that although this package is stable and automake-1.13 is ~arch,
this is still a priority fix because ~arch users are immediately affected.
Comment 1 Andreis Vinogradovs ( slepnoga ) 2013-04-28 06:53:57 UTC
slep@nout ~/slep/portage/dev-libs/ucommon $ hg diff --git ucommon-6.0.3.ebuild 
diff --git a/portage/dev-libs/ucommon/ucommon-6.0.3.ebuild b/portage/dev-libs/ucommon/ucommon-6.0.3.ebuild
--- a/portage/dev-libs/ucommon/ucommon-6.0.3.ebuild
+++ b/portage/dev-libs/ucommon/ucommon-6.0.3.ebuild
@@ -2,7 +2,7 @@
 # Distributed under the terms of the GNU General Public License v2
 # $Header: /var/cvsroot/gentoo-x86/dev-libs/ucommon/ucommon-6.0.3.ebuild,v 1.3 2013/02/26 10:59:17 ago Exp $

-EAPI="4"
+EAPI="5"

 AUTOTOOLS_AUTORECONF=1

@@ -34,9 +34,16 @@
                  "${FILESDIR}"/install_gcrypt.m4_file.patch
                  "${FILESDIR}"/gcrypt_autotools.patch )

-#"${FILESDIR}/${P}-address.patch"
 AUTOTOOLS_IN_SOURCE_BUILD=1

+src_prepare() {
+
+       # Aclocal 1.13 deprecated error #467674
+       sed -e 's/AM_CONFIG_HEADER/AC_CONFIG_HEADERS/g' -i configure.ac || die
+
+       autotools-utils_src_prepare
+}
+


Works fo me
Comment 2 Andreis Vinogradovs ( slepnoga ) 2013-04-28 06:57:52 UTC
Full ebuild - https://code.google.com/p/slepnoga/source/detail?r=2ba61ed8403601406b59c10763324847bf8302d0

Maksbotan, also please drop 5.5 and 6.0.0 ebuild ( i.e clean  )
Comment 3 Maxim Koltsov gentoo-dev 2013-04-28 07:16:01 UTC
Commited. Thanks.